org.apache.mina.core.polling

## Class AbstractPollingIoConnector.ConnectionRequest

- java.lang.Object
- - org.apache.mina.core.future.DefaultIoFuture
  - - org.apache.mina.core.future.DefaultConnectFuture
    - - org.apache.mina.core.polling.AbstractPollingIoConnector.ConnectionRequest

- All Implemented Interfaces:
    ConnectFuture, IoFuture
  Enclosing class:
    AbstractPollingIoConnector<T extends AbstractIoSession,H>

      public final class AbstractPollingIoConnector.ConnectionRequest
      extends DefaultConnectFuture

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPollingIoConnector.ConnectionRequest(H handle, IoSessionInitializer<? extends ConnectFuture> callback)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the connection attempt and notifies all threads waiting for this future.
    `long` | `getDeadline()`
    `H` | `getHandle()`
    `IoSessionInitializer<? extends ConnectFuture>` | `getSessionInitializer()`

    - ### Methods inherited from class org.apache.mina.core.future.DefaultConnectFuture

      `addListener, await, awaitUninterruptibly, getException, getSession, isCanceled, isConnected, newFailedFuture, removeListener, setException, setSession`

    - ### Methods inherited from class org.apache.mina.core.future.DefaultIoFuture

      `await, await, awaitUninterruptibly, awaitUninterruptibly, getValue, isDone, join, join, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.core.future.IoFuture

      `await, await, awaitUninterruptibly, awaitUninterruptibly, isDone, join, join`

- - ### Constructor Detail

    - #### AbstractPollingIoConnector.ConnectionRequest

          public AbstractPollingIoConnector.ConnectionRequest(H handle,
                                                      IoSessionInitializer<? extends ConnectFuture> callback)

  - ### Method Detail

    - #### getHandle

          public H getHandle()

    - #### getDeadline

          public long getDeadline()

    - #### getSessionInitializer

          public IoSessionInitializer<? extends ConnectFuture> getSessionInitializer()

    - #### cancel

          public void cancel()

      Description copied from interface: `ConnectFuture`
      Cancels the connection attempt and notifies all threads waiting for this future.
      Specified by:
        `cancel` in interface `ConnectFuture`
      Overrides:
        `cancel` in class `DefaultConnectFuture`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.